using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Self_Project
{
    public partial class DeleteUser : Form
    {
        public DeleteUser()
        {
            InitializeComponent();
        }
        User U = new User();

        private void DeleteUser_Load(object sender, EventArgs e)
        {            
            U.ShowUsers(txt_AllUsers);
            if (txt_AllUsers.Items.Count == 0)
            {
                MessageBox.Show("تا کنون هیچ کاربری ایجاد نشده است", "کاربر سیستم", MessageBoxButtons.OK);
                Application.Exit();
            }
        }

        private void LoadInformations()
        {
            try
            {
                U.ShowInfo(txt_AllUsers.Text);
            }
            catch
            {
            }
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            LoadInformations();
        }

        private void DeleteUser_Activated(object sender, EventArgs e)
        {
            LoadInformations();
        }

        private void btn_OK_Click(object sender, EventArgs e)
        {
            if (txt_AllUsers.Text == Functions.UserName)
            {
                MessageBox.Show("امکان حذف کاربر جاری وجود ندارد\nبرای حذف این کاربر، لطفا با کاربر دیگری اقدام نمایید", "کاربر سیستم", MessageBoxButtons.OK, MessageBoxIcon.Error);
                txt_AllUsers.Focus();
                return;
            }
            try
            {
                if (MessageBox.Show("آیا کاربر انتخاب شده، حذف شود ؟", "حذف کاربر", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No) return;
                U.DeleteUser();
                MessageBox.Show("کاربر مورد نظر، با موفقیت حذف شد", "کاربر سیستم", MessageBoxButtons.OK, MessageBoxIcon.Information);
                this.Close();
            }
            catch (User_Exceptions_NoManageUserRemine)
            {
                MessageBox.Show("امکان حذف این کاربر وجود ندارد\nزیرا با حذف وی، دیگر هیچ کاربری توانایی کار با اطلاعات دیگر کاربران را ندارد", "کاربر سیستم", MessageBoxButtons.OK, MessageBoxIcon.Error);
                txt_AllUsers.Focus();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}